Database Automatic Tuning - Get
Gets a database's automatic tuning.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/automaticTuning/current?api-version=2025-01-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
The name of the database. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
server
|
path | True |
string |
The name of the server. |
|
subscription
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get a database's automatic tuning settings
Sample request
GET https://management.azure.com/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current?api-version=2025-01-01
Sample response
{
"name": "current",
"type": "Microsoft.Sql/servers/databases/automaticTuning",
"id": "/subscriptions/c3aa9078-0000-0000-0000-e36f151182d7/resourceGroups/default-sql-onebox/providers/Microsoft.Sql/servers/testsvr11/databases/db1/automaticTuning/current",
"properties": {
"actualState": "Auto",
"desiredState": "Auto",
"options": {
"createIndex": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"dropIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"forceLastGoodPlan": {
"actualState": "On",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
},
"maintainIndex": {
"actualState": "Off",
"desiredState": "Default",
"reasonCode": 2,
"reasonDesc": "AutoConfigured"
}
}
}
}
Definitions
| Name | Description |
|---|---|
|
Automatic |
Reason description if desired and actual state are different. |
|
Automatic |
Automatic tuning desired state. |
|
Automatic |
Automatic tuning option actual state. |
|
Automatic |
Automatic tuning option desired state. |
|
Automatic |
Automatic tuning properties for individual advisors. |
|
created |
The type of identity that created the resource. |
|
Database |
Database-level Automatic Tuning. |
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
system |
Metadata pertaining to creation and last modification of the resource. |
AutomaticTuningDisabledReason
Reason description if desired and actual state are different.
| Value | Description |
|---|---|
| Default |
Default |
| Disabled |
Disabled |
| AutoConfigured |
AutoConfigured |
| InheritedFromServer |
InheritedFromServer |
| QueryStoreOff |
QueryStoreOff |
| QueryStoreReadOnly |
QueryStoreReadOnly |
| NotSupported |
NotSupported |
AutomaticTuningMode
Automatic tuning desired state.
| Value | Description |
|---|---|
| Inherit |
Inherit |
| Custom |
Custom |
| Auto |
Auto |
| Unspecified |
Unspecified |
AutomaticTuningOptionModeActual
Automatic tuning option actual state.
| Value | Description |
|---|---|
| Off |
Off |
| On |
On |
AutomaticTuningOptionModeDesired
Automatic tuning option desired state.
| Value | Description |
|---|---|
| Off |
Off |
| On |
On |
| Default |
Default |
AutomaticTuningOptions
Automatic tuning properties for individual advisors.
| Name | Type | Description |
|---|---|---|
| actualState |
Automatic tuning option actual state. |
|
| desiredState |
Automatic tuning option desired state. |
|
| reasonCode |
integer (int32) |
Reason code if desired and actual state are different. |
| reasonDesc |
Reason description if desired and actual state are different. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
DatabaseAutomaticTuning
Database-level Automatic Tuning.
| Name | Type | Description |
|---|---|---|
| id |
string (arm-id) |
Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
The name of the resource |
| properties.actualState |
Automatic tuning actual state. |
|
| properties.desiredState |
Automatic tuning desired state. |
|
| properties.options |
<string,
Automatic |
Automatic tuning options definition. |
| systemData |
Azure Resource Manager metadata containing createdBy and modifiedBy information. |
|
| type |
string |
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts" |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource last modification (UTC) |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |